<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateShopArticleAttributeValuesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('shop_article_attribute_values', function(Blueprint $table)
		{
			$table->integer('id')->unsigned()->nullable();
			$table->integer('attribute_family_id')->unsigned()->nullable();
			$table->boolean('type_value')->nullable()->comment('1 = INT, 2 = DECIMAL, 3 = STRING');
			$table->string('value', 50)->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('shop_article_attribute_values');
	}

}
